Subject: Re: [PATCH 2/2] On Cygwin support both UNIX and DOS style path-names

From: Vijay Lakshminarayanan <[email-masked]>
Date: Wed, 10 Aug 2011 08:14:51 +0530

Ramsay Jones <[email-masked]> writes:

> Pascal Obry wrote:
>> In fact Cygwin supports both, so make Git agree with this.
>> The failing case is when a file is committed in a sub-dir of the
>> repository using a log message from a file specified with a DOS
>> style path-name. To reproduce:
>> 
>>    $ cd src
>>    $ git commit -F c:\tmp\log.txt file.c
>>    fatal: could not read log file 'src/c:\tmp\log.txt': No such file \
>>    or directory.
>
> Hmm, are you using bash or cmd.exe? Using bash I get the following:
>
>     $ cd src
>     $ git commut -F c:\tmp\log.txt file.c
>     fatal: could not read file 'src/c:tmplog.txt': No such file or directory
>     $ 
>
> Which is what I would expect of (any) posix shell, viz:
>
>     $ ls c:\
>     > ^C
>     $ ls c:\\
>     AUTOEXEC.BAT*            NTDETECT.COM*               WATCOM/       msysgit/
>     CMPNENTS/                Program Files/              WINDOWS/      msysgit-old/
>     CONFIG.SYS*              RECYCLER/                   boot.ini*     ntldr*
>     Documents and Settings/  SUPPORT/                    cygwin/       pagefile.sys
>     I386/                    SWSTAMP.TXT*                cygwintemp/   ssl/
>     IO.SYS*                  System Volume Information/  dm/           uname/
>     MSDOS.SYS*               TOOLSCD/                    dm840/        zlib/
>     MSOCache/                VALUEADD/                   hiberfil.sys
>     $ 

FWIW, I use git on Cygwin and it works quite well.  Cygwin supports
Windows paths when quoted.  So

$ ls 'C:\Users\vijay\Desktop'

works as expected.  This is very useful when you're copying paths from,
say, Windows Explorer, to Cygwin.

> ATB,
> Ramsay Jones
>
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Cheers
~vijay

Gnus should be more complicated.